# NativeScript UI Calendar

- [Overview](#overview)
- [Installation](#installation)
- [Documentation](#documentation)
- [API Reference](#api-reference)
- [Sample Apps](#sample-apps)
- [Release Notes](#release-notes)
- [Get Help](#get-help)


## Overview

Here are some of the features of the **NativeScript UI Calendar**:

* different view modes: week, month, year and day
* support for appointments
* different selection modes: single, range, multiple
* animated transitions
* styling customizations

## Installation

In Command prompt / Terminal navigate to your application root folder and run:

```
tns plugin add nativescript-ui-calendar
```

## Documentation

More information about the plugin features is available in the Guides for:
- [NativeScript Core](https://docs.nativescript.org/ui/professional-ui-components/Calendar/overview)
- [NativeScript with Angular](https://docs.nativescript.org/angular/ui/professional-ui-components/ng-Calendar/overview)
- [NativeScript with Vue.js](https://docs.nativescript.org/vuejs/ns-ui/Calendar/overview)

## API Reference

[Here](https://docs.nativescript.org/ns-ui-api-reference/classes/radcalendar) is the API Reference section.

## Sample Apps

The features of the plugin are demonstrated in the Sample apps for:
- [NativeScript Core](https://github.com/NativeScript/nativescript-ui-samples)
- [NativeScript with Angular](https://github.com/NativeScript/nativescript-ui-samples-angular)
- [NativeScript with Vue.js](https://github.com/NativeScript/nativescript-ui-samples-vue)

## Release Notes

The release notes are available [here](https://github.com/NativeScript/nativescript-ui-feedback/blob/master/releases/calendar.md).

## Get Help

Please, use [github issues](https://github.com/NativeScript/nativescript-ui-feedback/issues) strictly for reporting bugs or requesting features.